./graphics/wld, Primitive drawing library targeted at Wayland

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.0.0.20200220nb2, Package name: wld-0.0.0.20200220nb2, Maintainer: pkgsrc-users

wld is a drawing library that targets Wayland.

Currently, this package only supports unaccelerated rendering on NetBSD.


Required to run:
[fonts/fontconfig] [x11/libdrm] [x11/pixman] [devel/wayland]

Required to build:
[pkgtools/cwrappers]

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2020-08-19 10:16:22 by Nia Alarie | Files touched by this commit (3)
Log message:
Skip building only-useful-with-Wayland packages on unsupported systems
   2020-08-17 22:20:41 by Leonardo Taccari | Files touched by this commit (2202)
Log message:
*: revbump after fontconfig bl3 changes (libuuid removal)
   2020-03-08 17:51:54 by Thomas Klausner | Files touched by this commit (2833)
Log message:
*: recursive bump for libffi
   2020-02-24 12:25:44 by Nia Alarie | Files touched by this commit (2) | Package updated
Log message:
wld: Update to 0.0.0.20200220

- Switch the upstream now that NetBSD support is upstreamed.
- Try to fix the build on aarch64 (at least) by avoiding libdrm_intel
   2019-12-12 15:48:43 by Nia Alarie | Files touched by this commit (1)
Log message:
wld: bump libdrm requirement
   2019-12-11 22:15:10 by Nia Alarie | Files touched by this commit (5)
Log message:
Add graphics/wld.

wld is a drawing library that targets Wayland.

Currently, this package only supports unaccelerated rendering on NetBSD.